Vector BLF: Vector::BLF::RestorePointContainer Struct Reference

Vector BLF

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
Vector::BLF::RestorePointContainer Struct Referencefinal

UNKNOWN_115. More...

`#include <RestorePointContainer.h>`

Inheritance diagram for Vector::BLF::RestorePointContainer:

## Public Member Functions
void | read (AbstractFile &is) override
void | write (AbstractFile &os) override
uint32_t | calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeader
| ObjectHeader (const ObjectType objectType, const uint16_t objectVersion=0)
void | read (AbstractFile &is) override
void | write (AbstractFile &os) override
uint16_t | calculateHeaderSize () const override
uint32_t | calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeaderBase
| ObjectHeaderBase (const uint16_t headerVersion, const ObjectType objectType)
| ObjectHeaderBase (const ObjectHeaderBase &)=default
ObjectHeaderBase & | operator= (const ObjectHeaderBase &)=default
| ObjectHeaderBase (ObjectHeaderBase &&)=default
ObjectHeaderBase & | operator= (ObjectHeaderBase &&)=default
virtual void | read (AbstractFile &is)
virtual void | write (AbstractFile &os)
virtual uint16_t | calculateHeaderSize () const
virtual uint32_t | calculateObjectSize () const

## Public Attributes
std::array< uint8_t, 14 > | reservedRestorePointContainer {}
uint16_t | dataLength {}
std::vector< uint8_t > | data {}
Public Attributes inherited from Vector::BLF::ObjectHeader
uint32_t | objectFlags {ObjectFlags::TimeOneNans}
| object flags
uint16_t | clientIndex {}
| client index of send node
uint16_t | objectVersion {0}
| object specific version
uint64_t | objectTimeStamp {}
| object timestamp
Public Attributes inherited from Vector::BLF::ObjectHeaderBase
uint32_t | signature {ObjectSignature}
| signature (ObjectSignature)
uint16_t | headerSize {}
| sizeof object header
uint16_t | headerVersion {}
| header version (1)
uint32_t | objectSize {}
| object size
ObjectType | objectType {ObjectType::UNKNOWN}
| object type

## Additional Inherited Members
Public Types inherited from Vector::BLF::ObjectHeader
enum | ObjectFlags : uint32_t { TimeTenMics = 0x00000001 , TimeOneNans = 0x00000002 }

## Detailed Description

UNKNOWN_115.

These objects store a contiguous block of data containing the Restore Points, similar to what a LogContainer does for Log data.

The default dataLength is 2000, which results in an objectSize of 2048.

Note
  This class is based on observations, as there is no public documentation available. There are undocumented API functions for RestorePoint handling. And this seems like it.

## Member Function Documentation

## ◆ calculateObjectSize()

uint32_t Vector::BLF::RestorePointContainer::calculateObjectSize | ( |  | ) | const
| overridevirtual

Calculates the objectSize

Returns
  object size

Reimplemented from Vector::BLF::ObjectHeader.

## ◆ read()

void Vector::BLF::RestorePointContainer::read | ( | AbstractFile & | is | ) |
| overridevirtual

Read the data of this object

Parameters

  is | input stream

Reimplemented from Vector::BLF::ObjectHeader.

## ◆ write()

void Vector::BLF::RestorePointContainer::write | ( | AbstractFile & | os | ) |
| overridevirtual

Write the data of this object

Parameters

  os | output stream

Reimplemented from Vector::BLF::ObjectHeader.

## Member Data Documentation

## ◆ data

std::vector<uint8_t> Vector::BLF::RestorePointContainer::data {}

restore point data

## ◆ dataLength

uint16_t Vector::BLF::RestorePointContainer::dataLength {}

restore point data size

## ◆ reservedRestorePointContainer

std::array<uint8_t, 14> Vector::BLF::RestorePointContainer::reservedRestorePointContainer {}

reserved

The documentation for this struct was generated from the following files:

- RestorePointContainer.h
- RestorePointContainer.cpp